%define upstream_name    Module-List
%define upstream_version 0.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Module `directory' listing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Dir)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This module deals with the examination of the namespace of Perl modules.
The contents of the module namespace is split across several physical
directory trees, but this module hides that detail, providing instead a
view of the abstract namespace.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc META.yml SIGNATURE Changes README META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.4.0-5.mga9
+ Revision: 1809750
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-4.mga8
+ Revision: 1505256
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.4.0-3.mga7
+ Revision: 1284802
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.4.0-2.mga7
+ Revision: 1165558
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.4.0-1.mga7
+ Revision: 1160854
- new release

* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-7.mga6
+ Revision: 1030135
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.3.0-6.mga6
+ Revision: 941191
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-5.mga5
+ Revision: 749357
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 685454
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 512995
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 369909
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 14 2011 jquelin <jquelin> 0.3.0-1.mga2
+ Revision: 143527
- imported package perl-Module-List


* Wed Sep 14 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
